api1: &azureApiDomain
    domain: "https://iotlorawan.azurewebsites.net"

api2: &senslogApiDomain
    domain: "https://sensor.lesprojekt.cz/DBServiceST"

settings:
    - AzureLoraWan:
        name: "IoT LoraWan"
        provider: "cz.senslog.connector.fetch.azure.ConnectorFetchAzureProvider"
        startDate: 2020-10-24T00:00:00.000
#        startDate: 2021-04-08T00:00:00.000
       # endDate: 2021-04-27T00:00:00.000
        limitPerSensor: 300

        sensorInfoHost:
            <<: *azureApiDomain
            path: "api/sensors"
        
        sensorDataHost:
            <<: *azureApiDomain
            path: "api/sensordata"
        
        authentication:
            host:
                <<: *azureApiDomain
                path: "api/accounts/login"
            username: "netluky@ima.cz"
            password: "SensLogIMA1"
            refreshPeriodIfFail: 10000

#        sessionProxy:
#            user: "afarcloud"
#            group: "afc"
#            lastObservationHost:
#              <<: *senslogApiDomain
#              path: "SensorService"

        allowedStation:
            # eui:
           # "8CF9574000000948":
           # "8CF95740000008AE":
#            "086BD7D4B501":    # not new data at Azure (up to date at SensLog)
            "90FD9FA5F420":    # not registered yet

        
    - SenslogV1:
        name: "Senslog V1"
        provider: "cz.senslog.connector.push.rest.senslog.v1.SenslogV1ConnectorPushProvider"
        host:
            <<: *senslogApiDomain
            path: "FeederServlet"

connectors:
    - AzureSenslogV1:
        fetcher: "AzureLoraWan"
        pusher: "SenslogV1"
        period: 5
        initDelay: 1
